Subject: RE: cygwin b20 bash path usage?
From: [email-masked] (Craig Vosburgh)

11 Nov 1998 16:01:58 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain
To: "'William D Kirby'" <[email-masked]>,
        "[email-masked]'"
	 <[email-masked]>

bash will use the PATH variable to determine the search order.  It
sounds like you need to put . in your PATH variable first or execute the
test command as ./test.  If you have any question which executable is
being executed you can always use the type command to see what bash hash
hashed for that name (e.g. type test should return the path to the test
executable being executed)

-Craig

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of William D Kirby
> Sent: Monday, November 09, 1998 7:44 PM
> To: [email-masked]
> Subject: cygwin b20 bash path usage? 
> 
> 
> I made the mistake of creating and trying to use an exectable named
> test.exe. under bash v2.02 in the cygwin beta 20 package. Nothing
> happened when it executed. I suspect that bash was executing 
> the program
> test.exe in the cygwin-b20\bin directory rather my test.exe in the
> directory I was using.
> 
> Is this proper behavior in bash? I assumed the directory 
> being worked in
> was searched first then along the PATH directory list.
> 
> Bill
> 
> --
> William D. Kirby             Voice: (703) 273-0005
> Consultant                   Email: [email-masked]
> 3527 Cornell Road
> Fairfax, VA 22030-1813
> 
> 
> 
> 
> -
> For help on using this list (especially unsubscribing), send 
> a message to
> "[email-masked]" with one line of text: "help".
> 
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".